<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <title>Car Care</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    <!-- css files -->
    <link href="../static/css/bootstrap.css" th:href="@{css/bootstrap.css}" rel="stylesheet" type="text/css"
          media="all"/> <!-- Bootstrap-Core-CSS -->
    <link href="../static/css/profile.css" th:href="@{css/profile.css}" rel="stylesheet" type="text/css" media="all"/>
    <!-- Style-CSS -->
    <link rel="stylesheet" href="../static/css/font-awesome.css" th:href="@{css/font-awesome.css}">
    <!-- Font-Awesome-Icons-CSS -->
    <link th:href="@{/css/popup.css}" href="../static/css/popup.css" rel="stylesheet">

    <!-- //css files -->

    <!-- online-fonts -->
    <link href="//fonts.googleapis.com/css?family=Jockey+One&amp;subset=latin-ext" rel="stylesheet">
    <link href="//fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i&amp;subset=cyrillic,cyrillic-ext,greek,greek-ext,latin-ext,vietnamese"
          rel="stylesheet">
    <link href="//fonts.googleapis.com/css?family=Niconne&amp;subset=latin-ext" rel="stylesheet">
    <!-- //online-fonts -->

</head>

<body>
<!-- banner -->
<div class="banner-2 wthree">
    <div class="container">
        <div class="banner_top">
            <div class="logo wow fadeInLeft animated animated" data-wow-delay=".5s"
                 style="visibility: visible; animation-delay: 0.5s; animation-name: fadeInLeft;">
                <h1><a th:href="@{/}"><span>C</span>ar Care</a></h1>
            </div>
            <div class="banner_top_right wow fadeInRight animated animated" data-wow-delay=".5s"
                 style="visibility: visible; animation-delay: 0.5s; animation-name: fadeInRight;">
                <nav class="navbar navbar-default">
                    <!-- Brand and toggle get grouped for better mobile display -->
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                                data-target="#bs-example-navbar-collapse-1">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                    </div>

                    <!-- Collect the nav links, forms, and other content for toggling -->
                    <div class="collapse navbar-collapse nav-wil" id="bs-example-navbar-collapse-1">
                        <ul class="nav navbar-nav cl-effect-14">
                            <li><a th:href="@{/}">Home</a></li>
                            <li><a sec:authorize="!isAuthenticated()" th:href="@{/contact}">Contact Us</a></li>
                            <li><a sec:authorize="hasRole('ROLE_ADMIN') || hasRole('ROLE_USER')"  th:href="@{/profile}" class="active">Profile</a></li>
                            <li><a sec:authorize="hasRole('ADMIN')" th:href="@{/admin}">Admin Portal</a></li>
                            <li><a sec:authorize="!isAuthenticated()" th:href="@{/login}">Login</a></li>
                            <li><a sec:authorize="isAuthenticated()" th:href="@{/logout}">Logout</a></li>

                        </ul>
                    </div><!-- /.navbar-collapse -->

                </nav>
            </div>
            <div class="clearfix"></div>
        </div>
        <!-- banner -->

    </div>
</div>
<!-- //banner -->

<!-- Main -->
<!-- Contact -->
<hr>
<div class="container bootstrap snippet">
    <div class="row">
        <div class="col-sm-10"><h1 th:text="${customer.getName()}">Name</h1></div>
    </div>
    <div class="row">
        <!--/col-3-->
        <div class="col-sm-9">
            <ul class="nav nav-tabs">
                <li class="active"><a data-toggle="tab" href="#home">User Information</a></li>
                <li><a data-toggle="tab" href="#messages">My cars</a></li>
                <li><a data-toggle="tab" href="#settings">My visits</a></li>
            </ul>
            <div th:if="${error}" th:text="${error}" th:class="${'alert ' + alertClass}" style="color: red"/>
            <div th:if="${editUserExceptionMessage}" th:text="${editUserExceptionMessage}" th:class="${'alert ' + alertClass}" />

            <div class="col-sm-3"><!--left col-->
                <div class="text-center">
                    <img src="http://ssl.gstatic.com/accounts/ui/avatar_2x.png" class="avatar img-circle img-thumbnail"
                         alt="avatar">
                    <!--                <img th:src="${(customer.imagePath != null && !#strings.isEmpty(customer.imagePath)) ? customer.imagePath : '/images/default-user.png'}"-->
                    <!--                th:alt="${customer.name}" class="avatar img-circle img-thumbnail" alt="avatar"/>-->
                    <h6>Upload a different photo...</h6>
                    <input type="file" class="text-center center-block file-upload">
                    <!--                <form action="" th:action="@{/customers/upload}" method="post" enctype="multipart/form-data">-->
                    <!--                    <input type="file" name="files" multiple>-->
                    <!--                    <input type="submit" value="Upload Files">-->
                    <!--                </form>-->
                </div>

                <!--            <div class="col-md-4">-->
                <!--                <img th:src="'/img/' + ${customer.imagePath}" id="profile-picture"-->
                <!--                     class="img-thumbnail"-->
                <!--                     alt="example placeholder avatar">-->
                <!--                <form action="" th:action="@{/customers/upload}" method="post" enctype="multipart/form-data">-->
                <!--                    <input type="file" name="files" multiple>-->
                <!--                    <input type="submit" value="Upload Files">-->
                <!--                </form>-->
                <!--            </div>-->
                </hr><br>

            </div>

            <div class="tab-content">
                <div class="tab-pane active" id="home">
                    <hr>

                    <ul>
                        <li><strong>Email: </strong> <span th:text="${customer.getEmail()}"></span></li>
                        <li><strong>Phone number: </strong><span th:text="${customer.getPhone()}"></span></li>
                    </ul>
                    <form class="form" th:object="${customer}" method="post">
                        <div class="form-group">
                            <div class="col-xs-12">
                                <br>
                                <!-- Trigger the modal with a button -->
                                <button type="button" class="btn btn-info btn-lg" data-toggle="modal" data-target="#exampleModal">
                                    Change password
                                </button>
                            </div>
                        </div>
                    </form>

                    <hr>

                </div><!--/tab-pane-->
                <div class="tab-pane" id="messages">

                    <div class="container">
                        <div class="row">
                            <div class="col-md-10 col-md-offset-1">
                                <div class="panel panel-default panel-table">
                                    <div class="panel-heading">
                                        <div class="row">
                                            <div class="col col-xs-6">
                                                <h3 class="panel-title">Cars</h3>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="panel-body">
                                        <table class="table table-striped table-bordered table-list">
                                            <thead>
                                            <tr>
                                                <th>Owner</th>
                                                <th>Registration</th>
                                                <th>VIN</th>
                                                <th>Manufacturer</th>
                                                <th>Model</th>
                                                <th>Year</th>
                                            </tr>

                                            </thead>
                                            <tbody>
                                            <tr th:each="car : ${myCars}">
                                                <td th:text="${car.getCustomer().getName()}">John Doe</td>
                                                <td th:text="${car.getRegistration()}">johndoe@example.com</td>
                                                <td th:text="${car.getCarVin()}"></td>
                                                <td th:text="${car.getManufacturer()}"></td>
                                                <td th:text="${car.getModel()}"></td>
                                                <td th:text="${car.getYear()}"></td>
                                            </tr>
                                            </tbody>
                                        </table>

                                    </div>
                                    <div class="panel-footer">
                                        <div class="row">
                                            <div class="col col-xs-4">Page 1 of 5
                                            </div>
                                            <div class="col col-xs-8">
                                                <ul class="pagination hidden-xs pull-right">
                                                    <li><a href="#">1</a></li>
                                                    <li><a href="#">2</a></li>
                                                    <li><a href="#">3</a></li>
                                                    <li><a href="#">4</a></li>
                                                    <li><a href="#">5</a></li>
                                                </ul>
                                                <ul class="pagination visible-xs pull-right">
                                                    <li><a href="#">«</a></li>
                                                    <li><a href="#">»</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div><!--/tab-pane-->
                <div class="tab-pane" id="settings">


                    <div class="container">
                        <div class="row">
                            <div class="col-md-10 col-md-offset-1">
                                <div class="panel panel-default panel-table">
                                    <div class="panel-heading">
                                        <div class="row">
                                            <div class="col col-xs-6">
                                                <h3 class="panel-title">Visits</h3>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="panel-body">
                                        <table class="table table-striped table-bordered table-list">
                                            <thead>
                                            <tr >
                                                <th>Car Registration</th>
                                                <th>Date</th>
                                                <th>Total Price</th>
                                                <th>Services</th>
                                            </tr>

                                            </thead>
                                            <tbody>
                                            <tr th:each="visit : ${myVisits}">
                                                <td th:text="${visit.getCar().registration}">John Doe</td>
                                                <td th:text="${visit.getDate()}">johndoe@example.com</td>
                                                <td th:text="${visit.getTotalPrice()}"></td>
                                                <td th:text="${visit.getCarServices()}"></td>
                                            </tr>
                                            </tbody>
                                        </table>

                                    </div>
                                    <div class="panel-footer">
                                        <div class="row">
                                            <div class="col col-xs-4">Page 1 of 5
                                            </div>
                                            <div class="col col-xs-8">
                                                <ul class="pagination hidden-xs pull-right">
                                                    <li><a href="#">1</a></li>
                                                    <li><a href="#">2</a></li>
                                                    <li><a href="#">3</a></li>
                                                    <li><a href="#">4</a></li>
                                                    <li><a href="#">5</a></li>
                                                </ul>
                                                <ul class="pagination visible-xs pull-right">
                                                    <li><a href="#">«</a></li>
                                                    <li><a href="#">»</a></li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>

            </div><!--/tab-pane-->
        </div><!--/tab-content-->

    </div><!--/col-9-->
</div><!--/row-->
<!-- //Contact -->
<!-- //Main -->

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Change password</h5>
            </div>
            <div class="modal-body">
                <form th:action="@{/customers/updatePassword}" method="post">
                    <div class="form-group">
                        <label for="current-password" class="col-form-label">Current password:</label>
                        <input type="password" class="form-control" id="current-password" th:name="currentPassword"/>
                    </div>
                    <div class="form-group">
                        <label for="new-password" class="col-form-label">New password:</label>
                        <input type="password" class="form-control" id="new-password" th:name="newPassword"/>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        <button type="submit" class="btn btn-primary">Save</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- Footer -->
<div class="footer1 w3ls">
    <div class="container">
        <div class="footer-main">
            <div class="footer-top">
                <div class="col-md-4 ftr-grid fg1">
                    <h4><a href="index.html">Car care</a></h4>
                    <p>Our services are available 24/7, so feel free to contact us at any time!</p>
                </div>
                <div class="col-md-4 ftr-grid fg2">
                    <h3>Our Address</h3>
                    <div class="ftr-address">
                        <div class="local">
                            <i class="fa fa-phone" aria-hidden="true"></i>
                        </div>
                        <div class="ftr-text">
                            <p>+359 89 952 0590</p>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <div class="ftr-address">
                        <div class="local">
                            <i class="fa fa-envelope" aria-hidden="true"></i>
                        </div>
                        <div class="ftr-text">
                            <p><a href="mailto:info@example.com">hadzhiev.service@gmail.com</a></p>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                </div>
                <div class="col-md-4 ftr-grid fg2">
                    <h3>Keep In Touch With Us</h3>
                    <div class="right-w3l">
                        <ul class="top-links">
                            <li><a href="#"><i class="fa fa-facebook"></i></a></li>
                        </ul>
                    </div>
                    <div class="right-w3-2">
                        <ul class="text-w3">
                            <li><a href="#">Facebook</a></li>
                        </ul>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>
</div>
<!-- Footer -->

<!-- js-scripts -->
<!-- js -->
<script type="text/javascript" src="js/jquery-2.1.4.min.js"></script>
<script type="text/javascript" src="js/bootstrap.js"></script> <!-- Necessary-JavaScript-File-For-Bootstrap -->
<!-- //js -->
<!--		<script src="js/jzBox.js"></script>-->
<!-- //js-scripts -->
</body>
</html>